Bug 648095 - Review Request: ghc-HsOpenSSL - (Incomplete) OpenSSL binding for Haskell
Review Request: ghc-HsOpenSSL - (Incomplete) OpenSSL binding for Haskell
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-30 17:52 EDT by Ben Boeckel
Modified: 2012-07-20 22:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-10-30 17:52:19 EDT
Spec URL: http://benboeckel.net/packaging/ghc-HsOpenSSL/ghc-HsOpenSSL.spec
SRPM URL: http://benboeckel.net/packaging/ghc-HsOpenSSL/ghc-HsOpenSSL-0.8.0.2-1.fc14.src.rpm
Description:
HsOpenSSL is an (incomplete) OpenSSL binding for Haskell. It
can generate RSA and DSA keys, read and write PEM files,
generate message digests, sign and verify messages, encrypt
and decrypt messages.

% lintmock fedora-14-x86_64-bb
ghc-HsOpenSSL.src: W: invalid-license PublicDomain
ghc-HsOpenSSL.src: W: strange-permission HsOpenSSL-0.8.0.2.tar.gz 0640L
ghc-HsOpenSSL.src: W: strange-permission ghc-HsOpenSSL.spec 0640L
ghc-HsOpenSSL.x86_64: W: invalid-license PublicDomain
ghc-HsOpenSSL-devel.x86_64: W: invalid-license PublicDomain
ghc-HsOpenSSL-prof.x86_64: E: devel-dependency ghc-HsOpenSSL-devel
ghc-HsOpenSSL-prof.x86_64: W: invalid-license PublicDomain
ghc-HsOpenSSL-prof.x86_64: W: no-documentation
ghc-HsOpenSSL-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/HsOpenSSL-0.8.0.2/libHSHsOpenSSL-0.8.0.2_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 1 Jens Petersen 2011-09-21 12:10:07 EDT
http://packdeps.haskellers.com/reverse/HsOpenSSL
Comment 2 Ben Boeckel 2012-03-02 23:29:54 EST
Spec URL: http://benboeckel.net/packaging/ghc-HsOpenSSL/ghc-HsOpenSSL.spec
SRPM URL: http://benboeckel.net/packaging/ghc-HsOpenSSL/ghc-HsOpenSSL-0.10.1.2-1.fc18.src.rpm

ghc-HsOpenSSL.src: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
ghc-HsOpenSSL.src: W: strange-permission HsOpenSSL-0.10.1.2.tar.gz 0640L
ghc-HsOpenSSL.src: W: strange-permission ghc-HsOpenSSL.spec 0640L
ghc-HsOpenSSL.x86_64: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
ghc-HsOpenSSL-devel.x86_64: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
Comment 3 JudeNagurney 2012-04-18 01:08:24 EDT
I've looked at your spec file as per the last paragraph in https://bugzilla.redhat.com/show_bug.cgi?id=656892#c11

For the docs, I think you can use the %ghc_files macro like I've done in http://code.haskell.org/augeas/packaging/rpm/ghc-augeas.spec.  

You may also want to include the https://github.com/phonohawk/HsOpenSSL/blob/master/COPYING along with the AUTHORS and NEWS files.
Comment 4 Ben Boeckel 2012-07-20 22:06:44 EDT
The tls package is recommended as the replacement for this package. Closing (we should urge upstreams that still use this to move to tls since upstream recommends it instead).

Note You need to log in before you can comment on or make changes to this bug.